Skip to main content
GET
/
v2
/
account
/
eod
/
trades
List EoD trades
curl --request GET \
  --url https://api.example.com/v2/account/eod/trades \
  --header 'Authorization: Bearer <token>'
{
  "trades": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "inputCurrency": "<string>",
      "inputPaymentMethod": "<string>",
      "inputAmount": "<string>",
      "outputCurrency": "<string>",
      "outputPaymentMethod": "<string>",
      "outputAmount": "<string>",
      "basePrice": "<string>",
      "appliedFees": [
        {
          "type": "<string>",
          "description": "<string>",
          "amount": "<string>",
          "currency": "<string>"
        }
      ],
      "quoteTokenId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "settlementTerms": "<string>",
      "settlementDate": "2023-11-07T05:31:56Z",
      "status": "<string>",
      "settledAt": "2023-11-07T05:31:56Z",
      "settlementTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "cursor": "<string>"
}

List EoD trades

GET request to /v2/account/eod/trades

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

subAccountId
string<uuid>

Operate against a sub-account of the authenticated main account.

status
string
settlementDate
string
createdAfter
integer<int64>

Unix timestamp (seconds) lower bound (inclusive).

createdBefore
integer<int64>
cursor
string

Response

OK

trades
object[]
cursor
string